* {
  font-family: 'Roboto Slab', serif;
}

body {
  background-image: linear-gradient(rgba(0, 0, 0, 0.55), rgba(0, 0, 0, 0.55)), url(https://img.freepik.com/premium-photo/big-data-technology-business-finance-concept_31965-4134.jpg?w=826);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  overflow-x: hidden;
}

html {
  scroll-behavior: smooth;
}

#background {
  min-height: 100vh;
  min-width: 100%;
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center bottom;
}


#txt {
  text-transform: uppercase;
  letter-spacing: 5px;
  position: relative;
  line-height: 35px;
  margin: 10px 15px;
  
  -webkit-transition: all .8s ease-in-out;
  -moz-transition: all .8s ease-in-out;
  -o-transition: all .8s ease-in-out;
  transition: all .8s ease-in-out;
}
#txt:hover {
  color: #fff;
}

#txt:before,
#txt:after {
  width:0;
  content: "";
  bottom: -10px;
  background: #fff;
  height:1px;
  position: absolute;
  
  -webkit-transition: width .8s ease;
  -moz-transition: width .8s ease;
  -o-transition: width .8s ease;
  transition: width .8s ease;
}
#txt:before {
  right: 38%;
}
#txt:after {
  left: 38%;
}
#txt:hover:before,
#txt:hover:after {
  width: 38%;
}



#profile {
  max-height: 180px;
  text-align: center;
  position: absolute;
}


#container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

#div-container-1 {
  flex-basis: 100%;
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
  box-sizing: border-box;
}

/* start of solution design */

#box {
  z-index: 1;
  max-height: 80px;
  max-width: 500px;
  text-align: center;
  position: absolute;
  background-color: transparent; /* Set an initial transparent background */
  transition: all 2s;
  box-shadow: 0 0 10px rgba(0, 0, 255, 0); /* Set the initial box-shadow with no shadow */
}

#box:hover {
  background-color: transparent; /* Change the background color to transparent on hover */
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5); /* Change the box-shadow color to white with reduced opacity on hover */
  animation: glow 1s infinite alternate; /* Apply the glow animation */
}

/* end of solution design */



#myCarousel {
  text-align: center;
}

#myCarousel .custom-control-icon {
  background-color: black;
  width: 40px;
  height: 40px;
}
.custom-page-indicators .active {
  background-color: black;
}
.custom-page-indicators li {
  border-radius: 50%;
}

#tools {
  text-align: center;
  background-image: linear-gradient(120deg, #89f7fe 0%, #66a6ff 100%);
}

#gmap_canvas {
  height: 50vh;
  width: 100%;
}


#contact-logo-linkedin0 {
  max-height: 60px;
}

#contact-logo-github {
  max-height: 60px; 
}

#contact-logo-instagram2 {
  width: 60px;
}

#logo-linkedin0 {
  max-height: 30px;
}

#logo-github {
  max-height: 30px; 
}

/*------------------------------------------- */

.nav-pills .nav-link {
  background-color: #f8f9fa;
  color: #495057;
  position: relative;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
  background-color: #007bff;
  color: #fff;
}

.nav-pills .nav-link:before {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  width: 1px;
  height: 100%;
  background-color: #ccc;
  transform: translateX(-50%);
}

.nav-pills .nav-link:first-child:before {
  display: none;
}

.nav-pills .nav-link.active:before,
.nav-pills .show > .nav-link:before {
  background-color: #007bff;
}

/*-------------------------------------*/


/* tech icons */
.tool-icon {
    width: 100px;
    transition: all .3s;
    margin: 0;
    padding: 0;
    position: relative; /* Add this for the glow effect */
}

.tool-icon:hover {
    cursor: pointer;
    width: 400px;
    box-shadow: 0 0 10px rgba(0, 0, 255, 0.7); /* Add a box-shadow for the glow effect */
    animation: glow 1s infinite alternate; /* Apply the glow animation */
}

@keyframes glow {
    0% {
        box-shadow: 0 0 10px rgba(0, 0, 255, 0.7);
    }
    100% {
        box-shadow: 0 0 20px rgba(0, 0, 255, 0.9);
    }
}

/* tech icons end */


#downloadBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 9999;
  background-image: linear-gradient(120deg, #89f7fe 0%, #66a6ff 100%);
}